logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in  RSS Apache Lounge  


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.



Post new topic   Forum Index -> Building & Member Downloads View previous topic :: View next topic
Reply to topic   Topic: PHP 5.5.12 & 5.4.28 (x86/x64) available
Author
Jan-E



Joined: 09 Mar 2012
Posts: 1081
Location: Amsterdam, NL, EU

PostPosted: Thu 01 May '14 18:38    Post subject: PHP 5.5.12 & 5.4.28 (x86/x64) available Reply with quote

PHP 5.5.11 & PHP 5.4.27 are available for download at PHP.net:
http://windows.php.net/download/

Changelogs:
http://www.php.net/ChangeLog-5.php#5.5.12
http://www.php.net/ChangeLog-5.php#5.4.28

Many extensions are also available on php.net:
http://windows.php.net/downloads/pecl/releases/

My builds:
http://phpdev.toolsforresearch.com/php-5.5.12-nts-Win32-VC11-x86.zip
http://phpdev.toolsforresearch.com/php-5.5.12-Win32-VC11-x86.zip
http://phpdev.toolsforresearch.com/php-5.5.12-nts-Win32-VC11-x64.zip
http://phpdev.toolsforresearch.com/php-5.5.12-Win32-VC11-x64.zip

http://phpdev.toolsforresearch.com/php-5.4.28-nts-Win32-VC9-x86.zip
http://phpdev.toolsforresearch.com/php-5.4.28-Win32-VC9-x86.zip
http://phpdev.toolsforresearch.com/php-5.4.28-nts-Win32-VC9-x64.zip
http://phpdev.toolsforresearch.com/php-5.4.28-Win32-VC9-x64.zip

I am also keeping my PHP 5.3 and PHP 5.6 (beta) builds up-to-date:

http://phpdev.toolsforresearch.com/php-5.3.29-dev-nts-Win32-VC9-x86.zip
http://phpdev.toolsforresearch.com/php-5.3.29-dev-Win32-VC9-x86.zip
http://phpdev.toolsforresearch.com/php-5.3.29-dev-nts-Win32-VC9-x64.zip
http://phpdev.toolsforresearch.com/php-5.3.29-dev-Win32-VC9-x64.zip

http://phpdev.toolsforresearch.com/php-5.6.0beta1-nts-Win32-VC11-x86.zip
http://phpdev.toolsforresearch.com/php-5.6.0beta1-Win32-VC11-x86.zip
http://phpdev.toolsforresearch.com/php-5.6.0beta1-nts-Win32-VC11-x64.zip
http://phpdev.toolsforresearch.com/php-5.6.0beta1-Win32-VC11-x64.zip

If you have got the choice, use the binaries from php.net because they are built with PGO and are faster.

The extensions in my 5.5.x & 5.6.x builds can be mixed with the php.net binaries.

My 5.4.x and 5.3.x builds use OpenSSL 1.0.1g, while php.net uses OpenSSL 0.9.8y for 5.3 & 5.4. Be careful with mixing my extensions with the official 5.3/5.4 binaries.
Back to top
puertoblack2003



Joined: 31 Jul 2009
Posts: 83

PostPosted: Fri 02 May '14 5:40    Post subject: Reply with quote

thank you.
Back to top
Zarabozo



Joined: 08 May 2014
Posts: 2
Location: Mexico City

PostPosted: Thu 08 May '14 15:48    Post subject: Re: PHP 5.5.12 & 5.4.28 (x86/x64) available Reply with quote

Jan-E wrote:
My builds:
http://phpdev.toolsforresearch.com/php-5.5.12-Win32-VC11-x64.zip


Jan-E: THANK YOU!!! Really, thank you for doing this. I needed php 5.5.12 on Apache 2.2 and php.net provides only the dll for Apache 2.4. I cannot move to 2.4 yet because of mod_perl.

Again, thank you.

Francisco
Back to top
error_404



Joined: 17 Nov 2013
Posts: 4

PostPosted: Sat 10 May '14 14:43    Post subject: Reply with quote

@ Jan-E - First of all I want to say THANK YOU for all of your efforts to make all kind of things for this community!

... and, please can you provide help on this error:

Windows 7 x64
Apache Lounge 2.4.9 x64 VC11
PHP 5.5.12 x64 VC11 (your build)
FFMPEG 2.2.1 x64

PHP Warning: PHP Startup: Unable to load dynamic library 'C:/wamp/php/ext/php_ffmpeg.dll' - The operating system cannot run %1.\r\n in Unknown on line 0

PHP.INI
Code:
;extension=php_bz2.dll
extension=php_curl.dll
extension=php_ffmpeg.dll
;extension=php_fileinfo.dll
extension=php_gd2.dll


HTTPD.CONF
Code:
# Load PHP module and add handler
LoadModule php5_module "C:/wamp/php/php5apache2_4.dll"
AddHandler application/x-httpd-php .php
# Configure the path to php.ini
PHPIniDir "C:/wamp/php"


FFMPEG resides on
C:\wamp\ffmpeg

All FFMPEG Dll's are copied to %systemroot%/system32/
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1081
Location: Amsterdam, NL, EU

PostPosted: Sat 10 May '14 19:58    Post subject: Reply with quote

php_ffmpeg.dll heeft nog de DLL's van FFmpeg 0.7.16 nodig. Die zitten in mijn builds. Ik zet ze nooit in \windows\system32, maar altijd zowel in de directory van php.exe als in Apache's bin-dir.

php_av.dll heeft wel de DLL's van FFmpeg 2.2.1 nodig.
Back to top
error_404



Joined: 17 Nov 2013
Posts: 4

PostPosted: Sat 10 May '14 20:46    Post subject: Reply with quote

Excuse for the inconvenience, but I don't speak dutch!
Can you clarify and confirm that php_ffmpeg.dll from your build must reside both on php\ext and on apache\bin as php_av.dll too?! (just both files and not the other DLL's)

Thank you in advance!
Back to top
gijs



Joined: 27 Apr 2012
Posts: 189
Location: The Netherlands

PostPosted: Sat 10 May '14 20:55    Post subject: Reply with quote

He told you to get the DLL's from FFmpeg 0.7.16 in combination with php_ffmpeg.dll.

He also stated he puts the files in the PHP root directory where the PHP.exe is and in Apache's bin-dir.
Back to top
error_404



Joined: 17 Nov 2013
Posts: 4

PostPosted: Sat 10 May '14 21:11    Post subject: Reply with quote

@ gijs - Thank you for your explain and translation.
So at this point where to find FFmpeg 0.7.16 binaries (x64 or x86)?!
It's really annoying that missing piece of information and my stupidity to make upgrrade of the whole system without making archive is really really stupid thing!
This occurs for second time in my whole IT life and I'm really confused and angry of that!
Back to top
zx9



Joined: 18 Mar 2009
Posts: 33
Location: uruguay

PostPosted: Mon 12 May '14 5:43    Post subject: Reply with quote

error_404 wrote:
@ Jan-E - First of all I want to say THANK YOU for all of your efforts to make all kind of things for this community!



+1 Very Happy
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1081
Location: Amsterdam, NL, EU

PostPosted: Mon 12 May '14 16:17    Post subject: Reply with quote

Oops, sorry for the Dutch.

php_ffmpeg.dll needs the DLL's of FFmpeg 0.7.16. They are included in my builds. I never copy them to \windows\system32, but always put them in the directory of php.exe and in Apache's bin-dir.

php_av.dll needs the DLL's of FFmpeg 2.2.1.
Back to top
error_404



Joined: 17 Nov 2013
Posts: 4

PostPosted: Tue 13 May '14 19:45    Post subject: Reply with quote

Thanks again for the information, so I explain how I make it work:
From your builds I copy to Apache/bin:
avcodec-52.dll
avdevice-52.dll
avfilter-1.dll
avfilter-4.dll SHA1(5C5B3CB534F7DBD512D7D920B35C4C8D4017A75F) identical as below
avformat-52.dll
avutil-50.dll
postproc-51.dll
swscale-0.dll

From FFMPEG 2.2.1 I copy to Apache/bin and to PHP dir:
avcodec-55.dll
avdevice-55.dll
avfilter-4.dll SHA1(5C5B3CB534F7DBD512D7D920B35C4C8D4017A75F) identical as above
avformat-55.dll
avutil-52.dll
postproc-52.dll
swresample-0.dll
swscale-2.dll

Now everything is working just fine.
Again thanks for all support and God and the Queen bless the dutchs
Mr. Green
Back to top


Reply to topic   Topic: PHP 5.5.12 & 5.4.28 (x86/x64) available View previous topic :: View next topic
Post new topic   Forum Index -> Building & Member Downloads